###  for PCLinuxOS  ###

%define  ver  9100h
%define  rel  50.nora15

%define  use_utf8_dict  1

Name:    anthy
Summary: A Japanese words input system
Summary(ja): 日本語入力システム
Version: %{ver}
Release: %{rel}
Group:   System/Internationalization
License: GPLv2+ and GPLv2 and Public Domain
URL:     http://osdn.jp/projects/anthy/

Source0: http://osdn.jp/projects/anthy/downloads/37536/anthy-%{version}.tar.gz

Patch0:  %{name}-fix-typo-in-dict.patch
Patch1:  %{name}-fix-typo-in-dict-name.patch
Patch10: %{name}-corpus.patch
Patch11: %{name}-fix-elisp.patch
Patch12: %{name}-aarch64.patch
Patch13: %{name}-fix-segfault.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: automake
BuildRequires: emacs
Suggests:  kasumi >= 2.4
Obsoletes: kasumi < 2.4
Obsoletes: libanthy0

%description
Anthy provides the library to input Japanese on the applications, such as X applications and emacs. and the user dictionaries and the users information which is used for the conversion, is stored into their own home directory.
So Anthy is secure than other conversion server.

%description -l ja
Anthyはフリーでセキュアな日本語入力システムです。

# --------------------------------------------------------

%package devel
Summary: Headers of %{name} for development
Summary(ja): libanthyのヘッダファイル
Group:   Development/C
Requires: %{name} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: libanthy-devel
Obsoletes: libanthy0-devel

%description devel
Anthy development package: static libraries, header files, and the like.

%description -l ja devel
libanthyを使用したアプリケーションを開発するのに必要なヘッダファイル。


# --------------------------------------------------------

%prep
%setup -q
%patch0 -p1 -b .0-typo
%patch1 -p1 -b .1-typo-name
%patch10 -p1 -b .10-corpus
%patch11 -p1 -b .11-elisp
%patch12 -p1 -b .12-aarch64
%patch13 -p1 -b .13-segv

# Convert to utf-8
for file in ChangeLog doc/protocol.txt; do
    iconv -f ISO-8859-1 -t UTF-8 -o $file.new $file && \
    touch -r $file $file.new && \
    mv $file.new $file
done

%if %{use_utf8_dict}
function normalize_extra_dict() {
 sed -e 's/^\([^  ]*\)t[  ]*\(#[A-Z0-9\*]*\)[  ]*\([^  ]*\)$/\1 \2 \3/g' $1 > $1.norm
}
function dict_conv() {
 iconv -f euc-jp -t utf-8 $1 > $1.utf8
}
function gen_dict_args() {
 if ! test -f $RPM_BUILD_DIR/%{name}-%{version}/mkworddic/dict.args.in-orig; then
  cp -a $RPM_BUILD_DIR/%{name}-%{version}/mkworddic/dict.args.in{,-orig}
 fi
 cat <<_EOF_ > $RPM_BUILD_DIR/%{name}-%{version}/mkworddic/dict.args.in
# Generated by rpm script
set_input_encoding utf8
read @top_srcdir@/alt-cannadic/gcanna.ctd.utf8
read @top_srcdir@/alt-cannadic/gcannaf.ctd.utf8
read @top_srcdir@/alt-cannadic/gtankan.ctd.utf8
read @top_srcdir@/alt-cannadic/extra/g-jiritu-34.t.norm
read @top_srcdir@/alt-cannadic/extra/gc-fullname-34.t.norm
read @top_srcdir@/alt-cannadic/extra/gt-tankanji_kanji-34.t.norm
read @top_srcdir@/alt-cannadic/extra/gt-tankanji_hikanji-34.t.norm
read @top_srcdir@/alt-cannadic/extra/gf-fuzoku-34.t.norm
read @top_srcdir@/mkworddic/adjust.t.utf8
read @top_srcdir@/mkworddic/compound.t.utf8
read @top_srcdir@/mkworddic/extra.t.utf8
read @top_srcdir@/alt-cannadic/g_fname.t
#
build_reverse_dict
set_dict_encoding utf8
read_uc @top_srcdir@/mkworddic/udict.utf8
write anthy.wdic
done
_EOF_
touch -r $RPM_BUILD_DIR/%{name}-%{version}/mkworddic/dict.args.in{-orig,}
}

(
 cd alt-cannadic
 for i in gcanna.ctd gcannaf.ctd gtankan.ctd; do
  dict_conv $i
 done
 cd extra
 for i in g-jiritu-34.t gc-fullname-34.t gf-fuzoku-34.t gt-tankanji_hikanji-34.t gt-tankanji_kanji-34.t; do
  normalize_extra_dict $i
 done
);(
 cd mkworddic
 for i in adjust.t compound.t extra.t udict zipcode.t; do
  dict_conv $i
 done
)
gen_dict_args
%endif


%build
%configure2_5x --disable-static
%make

# fix rpath issue
#sed -ie 's/^hardcode_libdir_flag_spec.*$'/'hardcode_libdir_flag_spec=" -D__LIBTOOL_IS_A_FOOL__ "/' libtool
#LD_LIBRARY_PATH=$RPM_BUILD_DIR/%{name}-%{version}/src-main/.libs:$RPM_BUILD_DIR/%{name}-%{version}/src-worddic/.libs make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# remove unnecessary files
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.{la,a}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING DIARY NEWS README
%{_bindir}/*
%{_sysconfdir}/*
%{_datadir}/anthy
%{_datadir}/emacs/site-lisp/*
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc doc/DICLIB doc/DICUTIL doc/GLOSSARY doc/GRAMMAR doc/GUIDE.english doc/ILIB doc/LEARNING doc/LIB doc/MISC doc/POS doc/SPLITTER doc/TESTING doc/protocol.txt
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*


%changelog
* Fri Jul 17 2015 tomcat <> 9100h-50.nora15
- imported from Fedora package

* Tue Nov 12 2013 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-49.20110409.nora13
- add configure option '--disable-static'
- remove *.la files
- update %%files devel section

* Tue Oct 30 2012 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-48.20110409nora12
- build by self-build

* Sun Jul 03 2011 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-1.20110409.47nora11
- rebuild

* Sun Apr 10 2011 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-1.20110409.46nora11
- update to 20110409

* Sun Mar 20 2011 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-1.20110319.45nora11
- update to 20110319

* Wed Mar 09 2011 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-1.20110307.44nora11
- update to 20110307

* Wed Feb 02 2011 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-1.20110131.43nora11
- update to 20110131

* Mon Dec 06 2010 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-1.20101205.42nora103
- update to 20101205

* Sat Nov 20 2010 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-1.20101120.41nora103
- update to 20101120

* Fri Nov 19 2010 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-1.20101118.40nora103
- update to 20101118

* Wed Nov 17 2010 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-1.20101116.39nora103
- update to 20101116

* Sun Nov 07 2010 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-1.20101106.38nora103
- update to 20101106

* Wed Oct 27 2010 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-1.20101025.37nora102
- update to 20101025

* Sat Sep 25 2010 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-1.20100923.36nora102
- update to 20100923

* Sat Aug 20 2010 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-1.20100820.35nora102
- update to 20100820

* Sun Jul 11 2010 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-1.20100710.34nora102
- update to 20100710

* Tue Jun 15 2010 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-1.20100615.33nora101
- update to 20100615

* Wed Jun 09 2010 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-1.20100609.32nora101
- update to 20100609

* Mon Jun 07 2010 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-1.20100606.31nora101
- update to 20100606

* Mon May 17 2010 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-1.20100517.30nora101
- Source0 update to 20100517
- re-numbering Release
- do NOT sprit libanthy0 and libanthy0-devel sub packages
- add 'Obsoletes:libanthy0' and 'Obsoletes:libanthy0-devel'
- new sprit anthy-devel sub package instead of libanthy0-devel
- update %%files, %%post, %%postun sections

* Sun May 09 2010 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-29nora101
- Source0 update to 20100508

* Sat Apr 24 2010 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-28nora10
- Source0 update to 20100423

* Fri Apr 23 2010 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-27nora10
- Source0 update to 20100421

* Tue Apr 20 2010 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-26nora10
- Source0 update to 20100419

* Sat Apr 03 2010 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-25nora10
- Source0 update to 20100403

* Sun Mar 07 2010 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-24nora10
- rebuild for PCLOS 2010 beta1

* Sun Jan 31 2010 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-23nora10
- Source0 update to 20100131

* Mon Dec 28 2009 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-22nora10
- Source0 update to 20091228

* Thu Dec 10 2009 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-21nora10
- Source0 update to 20091210

* Tue Dec 08 2009 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-20nora10
- Source0 update to 20091208

* Mon Dec 01 2009 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-19nora10
- Source0 update to 20091201

* Mon Nov 23 2009 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-18nora10
- Source0 update to 20091121

* Tue Nov 17 2009 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-17nora10
- Source0 update to 20091116

* Sat Nov 14 2009 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-16nora10
- Source0 use UTUMI's patched source code
  - http://www.geocities.jp/ep3797/anthy_dict_01.html
- drop Source2 merged Source0
- update %%files section

* Sun Nov 01 2009 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-15nora10
- Source2 (anthy-ut-patches) update to 20091030

* Fri Oct 16 2009 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-14nora10
- Source2 (anthy-ut-patches) update to 20091014

* Thu Oct 08 2009 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-13nora10
- Source2 (anthy-ut-patches) update to 20091001
- build against NEW toolchain

* Thu Sep 03 2009 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-12nora09
- Source2 (anthy-ut-patches) update to 20090902

* Sat Aug 22 2009 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-11nora09
- Source2 (anthy-ut-patches) update to 20090819

* Fri Aug 14 2009 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-10nora09
- Source2 (anthy-ut-patches) update to 20090813

* Sat Aug 01 2009 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-9nora09
- Source2 (anthy-ut-patches) update to 20090731

* Mon Jul 27 2009 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-8nora09
- Source2 (anthy-ut-patches) update to 20090723

* Wed Jul 22 2009 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-7nora09
- Source2 (anthy-ut-patches) update to 20090721

* Mon Jul 06 2009 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-6nora09
- Source2 (anthy-ut-patches) update to 20090704
- use own libtool again

* Sat Jun 06 2009 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-5nora09
- Source2 (anthy-ut-patches) update to 20090604
- use libtool of system instead of own libtool

* Fri May 08 2009 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-4nora09
- Source2 (anthy-ut-patches) update to 20090507

* Fri Apr 17 2009 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-3nora09
- Source2 (anthy-ut-patches) update to 20090414

* Tue Mar 03 2009 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-2nora07
- Source2 (anthy-ut-patches) update to 20090228

* Tue Feb 10 2009 tomcat <webmaster2@tomcat.nyanta.jp> 9100h-1nora07
- update to 9100h
- drop patch100 merged upstream
- Source2 (anthy-ut-patches) update to 20090209

* Mon Feb 02 2009 tomcat <webmaster2@tomcat.nyanta.jp> 9100e-20nora07
- Source2 (anthy-ut-patches) update to 20090129
- add patch100

* Sun Oct 19 2008 tomcat <webmaster2@tomcat.nyanta.jp> 9100e-11nora07
- Source2 (anthy-ut-patches) update to 20081018

* Sat Oct 18 2008 tomcat <webmaster2@tomcat.nyanta.jp> 9100e-10nora07
- Source2 (anthy-ut-patches) update to 20081016

* Mon Oct 06 2008 tomcat <webmaster2@tomcat.nyanta.jp> 9100e-9nora07
- Source2 (anthy-ut-patches) update to 20081005

* Sun Sep 28 2008 tomcat <webmaster2@tomcat.nyanta.jp> 9100e-8nora07
- Source2 (anthy-ut-patches) update to 20080928

* Tue Aug 05 2008 tomcat <webmaster2@tomcat.nyanta.jp> 9100e-7nora07
- Source2 (anthy-ut-patches) update to 20080804

* Sat Jun 07 2008 tomcat <webmaster2@tomcat.nyanta.jp> 9100e-6nora07
- Source2 (anthy-ut-patches) update to 20080605

* Mon May 19 2008 tomcat <webmaster2@tomcat.nyanta.jp> 9100e-5nora07
- Source2 (anthy-ut-patches) update to 20080519

* Fri May 16 2008 tomcat <webmaster2@tomcat.nyanta.jp> 9100e-4nora07
- Source2 (anthy-ut-patches) update to 20080502

* Sun Apr 20 2008 tomcat <webmaster2@tomcat.nyanta.jp> 9100e-3nora07
- Source2 (anthy-ut-patches) update to 20080411

* Wed Apr 16 2008 tomcat <webmaster2@tomcat.nyanta.jp> 9100e-2nora07
- add Source2 (Modified Anthy dictionary => http://www.geocities.jp/ep3797/anthy_dict_01.html)
- change release suffix

* Wed Jan 30 2008 tomcat <webmaster2@tomcat.nyanta.jp> 9100e-1nora1
- update to 9100e

* Mon Oct 29 2007 tomcat <webmaster2@tomcat.nyanta.jp> 9100d-1nora1
- update to 9100d

* Wed Oct 03 2007 tomcat <webmaster2@tomcat.nyanta.jp> 9100c-1nora1
- update to 9100c

* Tue Sep 18 2007 tomcat <webmaster2@tomcat.nyanta.jp> 9100-0nora1
- update to 9100
- droped Source1

* Tue Oct 31 2006 Texstar <texstar@houston.rr.com> 8023-2pclos2007
- Build for PCLinuxOS 2007
